// ©2022 Batty Bovine Productions, LLC. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "ComboInputTriggers.generated.h"


UENUM(BlueprintType, meta = (Bitflags, UseEnumValuesAsMaskValuesInEditor = "true"))
enum class EComboActionTriggerEvent : uint8
{
	None		= (0x0)		UMETA(Hidden),
	Activated	= (1 << 0),
	Released	= (1 << 1),
};
ENUM_CLASS_FLAGS(EComboActionTriggerEvent)
